Skip to main content

Get Broker Msg

Request to be POSTed to uri : /NorenWClientAPI/GetBrokerMsg

Request Details :

Parameter NamePossible valueDescription
jData*Should send json object with fields in below list
Json FieldsPossible valueDescription
uid*Logged in User Id

Example:

curl --location 'https://api.kambala.co.in/NorenWClientAPI/GetBrokerMsg' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer ab2f4117bce53f6b6900c73eebe520468ceea148a3bc4423a973514150f3c415' \
--data 'jData={"uid":"DEMO"}'

Response data will be in json format with below fields in case of success.

Json FieldsPossible valueDescription
statOkBroker Msg success or failure indication.
dmsgThis will be present only in case of success. Number of days to expiry will be present in same.
norentmNoren Time
Scrip AlertScrip Alert
GTTGTT

Sample Success Response :

[
{
"stat": "Ok",
"norentm": "02-05-1975 08:48:52",
"msgtyp": "Admin Message",
"dmsg": "Test Msg All Message Recovery2"
},
{
"stat": "Ok",
"norentm": "02-05-1975 08:48:52",
"msgtyp": "Admin Message",
"dmsg": "Test Msg All Message Recovery2"
}
]

Sample Failure Response :

 {
"stat":"Not_Ok",
"emsg":"Session Expired : Invalid Session Key"
}